﻿@using Jumbula.Web.WebLogic.UserService
@{
    Layout = null;

    var club = this.GetCurrentClubBaseInfo();

    var isProvider = club.ClubType != null && ((club.ClubType.EnumType == ClubTypesEnum.Provider) || (club.ClubType.ParentType != null && club.ClubType.ParentType.EnumType == ClubTypesEnum.Provider));

    var hasPartner = club.HasPartner;

    var currentRole = this.GetCurrentUserRole();

}

<h1 ng-hide="MC.account.hasPartner" class="fg-white">Jumbula</h1>

<img style="height: 35px; margin-left: 10px;" ng-show="MC.account.hasPartner" src="{{MC.account.partnerLogo}}" />

<div class="gridster" id="dashboardOverviewGrid">

    <div ng-if="Model.IsFreeTrialAccount" id="freeTrialMessage" class="clearfix" data-click="transform-scale">
        <div class="dis-table">
            <div class="dis-row">
                <div class="dis-cell">
                    <span class="freetrial-message">{{Model.FreeTrialMessage}}</span>
                </div>
                <div class="dis-cell">
                    <button class="button select-plane" style="height: 34px;" ngaction="Account_Subscription_View" ui-sref="AccountSettingChangePlan">Select a plan</button>
                </div>
                <div class="dis-cell">
                    <a class="button scheduling-demo green-bgcolor" style="height: 34px;" ngaction="Account_Subscription_View" target="_blank" href="https://calendly.com/jumbula/jumbula-demo-30-minutes">SCHEDULE A DEMO</a>
                </div>
            </div>
        </div>
    </div>

    <ul ng-if="MC.account.Role == 'Admin' && MC.account.ShowWelcomeToJumbula">
        <li data-row="1" data-col="1" data-sizex="6" data-sizey="3" class="tile recent-registrations bg-icon" style="outline-color: #1abc9c;">
            <div class="tile-content" style="padding:15px;">

                <div class="title-bar">
                    <div class="title">
                        <h3 style="font-weight:400">
                            Welcome To Jumbula
                        </h3>
                    </div>
                    <hr>
                    <div class="clearfix"></div>
                </div>

                <div class="row">
                    <div class="full">
                        <button ui-sref="Tour({tourId:'m7pXgjqU0JE'})" class="button select-plane owl-buttons" style="height: 34px; background-color: #2e92cf; color: white; font-weight: 500;">A brief introduction to Jumbula</button>
                    </div>
                </div>

                <div class="grid fluid">
                    <div class="row">
                        <div class="span4">
                            <h4>Getting Started</h4>
                            <hr />
                            <div>
                                <a class="a-item-spacing" ui-sref="Tour({tourId:'N-qV9zX-gE4'})">Add season</a>
                                <a class="a-item-icon" ui-sref="Tour({tourId:'N-qV9zX-gE4'})"><span class="jbi-play-circle-1"></span></a>
                            </div>
                            <div>
                                <a class="a-item-spacing" ui-sref="Tour({tourId:'DGdj5ffjOyk'})">Add a program</a>
                                <a class="a-item-icon" ui-sref="Tour({tourId:'DGdj5ffjOyk'})"><span class="jbi-play-circle-1"></span></a>
                            </div>
                            <div>
                                <a class="a-item-spacing" ui-sref="Tour({tourId:'IWSsuJgR7Bc'})">Add a class </a>
                                <a class="a-item-icon" ui-sref="Tour({tourId:'IWSsuJgR7Bc'})"><span class="jbi-play-circle-1"></span></a>
                            </div>
                            <div>
                                <a class="a-item-spacing" ui-sref="Tour({tourId:'ckVWzIMX8DQ'})">View and test a program</a>
                                <a class="a-item-icon" ui-sref="Tour({tourId:'ckVWzIMX8DQ'})"><span class="jbi-play-circle-1"></span></a>
                            </div>
                        </div>
                        <div class="span4">
                            <h4>Advanced Setup</h4>
                            <hr />
                            <div>
                                <a class="a-item-spacing" ui-sref="Tour({tourId:'fGq5O4HbEnA'})">Coupon setup</a>
                                <a class="a-item-icon" ui-sref="Tour({tourId:'fGq5O4HbEnA'})"><span class="jbi-play-circle-1"></span></a>
                            </div>
                            <div>
                                <a class="a-item-spacing" ui-sref="Tour({tourId:'l_6Oe4WZT38'})">Discount setup</a>
                                <a class="a-item-icon" ui-sref="Tour({tourId:'l_6Oe4WZT38'})"><span class="jbi-play-circle-1"></span></a>
                            </div>
                            <div>
                                <a class="a-item-spacing" ui-sref="Tour({tourId:'Yq4kx0SYXTo'})">Payment plan setup</a>
                                <a class="a-item-icon" ui-sref="Tour({tourId:'Yq4kx0SYXTo'})"><span class="jbi-play-circle-1"></span></a>
                            </div>
                            <div>
                                <a class="a-item-spacing" ui-sref="Tour({tourId:'9G1VoeuBOOQ'})">Single vs multiple registrations</a>
                                <a class="a-item-icon" ui-sref="Tour({tourId:'9G1VoeuBOOQ'})"><span class="jbi-play-circle-1"></span></a>
                            </div>
                        </div>
                        <div class="span4">
                            <h4>More Features</h4>
                            <hr />
                            <div>
                                <a class="a-item-spacing" ui-sref="Tour({tourId:'UY2kJSd-wKg'})">Invoicing</a>
                                <a class="a-item-icon" ui-sref="Tour({tourId:'UY2kJSd-wKg'})"><span class="jbi-play-circle-1"></span></a>
                            </div>
                            <div>
                                <a class="a-item-spacing" ui-sref="Tour({tourId:'OHYyUQugl78'})">Payment methods</a>
                                <a class="a-item-icon" ui-sref="Tour({tourId:'OHYyUQugl78'})"><span class="jbi-play-circle-1"></span></a>
                            </div>
                            <div>
                                <a class="a-item-spacing" ui-sref="Tour({tourId:'JCQtNd8U__g'})">Attendance mobile app</a>
                                <a class="a-item-icon"  ui-sref="Tour({tourId:'JCQtNd8U__g'})"><span class="jbi-play-circle-1"></span></a>
                            </div>
                            <div>
                                <a class="a-item-spacing" ui-sref="Tour({tourId:'34Y8kQwygOs'})">Jumbula home site tool</a>
                                <a class="a-item-icon" ui-sref="Tour({tourId:'34Y8kQwygOs'})"><span class="jbi-play-circle-1"></span></a>
                            </div>
                          
                        </div>
                    </div>
                </div>

            </div>
        </li>
    </ul>

    <ul>
        <li data-row="1" data-col="1" data-sizex="6" data-sizey="3" class="tile recent-registrations bg-icon" style="outline-color: #1abc9c; height: {{gridHeight}}px">
            <div class="tile-content no-padding">
                <form ng-show="MC.account.isPartner == false" ng-submit="search()" class="clearfix padding-left20 padding-right20 padding-top10">
                    <label for="searchTerm" class="full-width">Search</label>
                    <div class="place-left" style="width: 500px">

                        <div class="place-left input-control select one-third padding-right10">
                            <select ng-model="SearchType" ng-change="searchTerm = ''; firstName=''; lastName='';"
                                    ng-options="obj.Value as obj.Text for obj in SearchTypes"></select>
                        </div>

                        <div ng-show="SearchType != 'Name'" class="place-left input-control text two-third padding-right10">
                            <input style="-moz-box-sizing: border-box; -webkit-box-sizing: border-box; box-sizing: border-box;" id="searchTerm" type="search" name="SearchTerm" ng-model="searchTerm" placeholder="{{SearchType == 'Email'? 'Email': 'Confirmation ID'}}">
                        </div>

                        <div ng-show="SearchType == 'Name'" class="place-left input-control text two-third padding-right10">
                            <div class="place-left input-control text one-half padding-right10">
                                <input style="-moz-box-sizing: border-box; -webkit-box-sizing: border-box; box-sizing: border-box;" id="firstName" type="search" ng-model="firstName" placeholder="First name">
                            </div>
                            <div class="place-left input-control text one-half padding-right10">
                                <input style="-moz-box-sizing: border-box; -webkit-box-sizing: border-box; box-sizing: border-box;" id="lastName" type="search" ng-model="lastName" placeholder="Last name">
                            </div>
                        </div>

                    </div>

                    <div class="place-right" style="width: 275px">
                        <button class="button primary place-left" type="submit" style="height: 34px;">Search</button>
                        <button class="button link place-left" type="button" ng-click="searchTerm = ''; firstName=''; lastName=''; Model._SelectedSchools=[]; search();" style="height: 34px;">Clear</button>
                        <button class="button jbi-loading-1 place-right" style="height: 34px;" ng-click="search()"></button>
                    </div>

                    <div ng-show="MC.account.isPartner">
                        <div class="input-control choosen" data-role="input-control">
                            <select chosen
                                    ng-model="Model._SelectedSchools"
                                    data-placeholder="Select some schools"
                                    ng-options="obj.Value as obj.Text for obj in AllMembers"></select>
                        </div>
                    </div>
                </form>

                <form ng-show="MC.account.isPartner == true" ng-submit="search()" class="clearfix padding-left20 padding-right20 padding-top10">
                    <label for="searchTerm" class="full-width">Search</label>
                    <div class="place-left" style="width: 520px">

                        <div class="place-left input-control select one-third padding-right10">
                            <select ng-model="SearchType" ng-change="searchTerm = ''; firstName=''; lastName='';"
                                    ng-options="obj.Value as obj.Text for obj in SearchTypes"></select>
                        </div>

                        <div ng-show="SearchType != 'Name'" class="place-left input-control text padding-right10" style="width: 363px">
                            <input style="-moz-box-sizing: border-box; -webkit-box-sizing: border-box; box-sizing: border-box;" id="searchTerm" type="search" name="SearchTerm" ng-model="searchTerm" placeholder="{{SearchType == 'Email'? 'Email': 'Confirmation ID'}}">
                        </div>

                        <div ng-show="SearchType == 'Name'" class="place-left input-control text two-third padding-right10">
                            <div class="place-left input-control text one-half padding-right10">
                                <input style="-moz-box-sizing: border-box; -webkit-box-sizing: border-box; box-sizing: border-box;" id="firstName" type="search" ng-model="firstName" placeholder="First name">
                            </div>
                            <div class="place-left input-control text one-half padding-right10">
                                <input style="-moz-box-sizing: border-box; -webkit-box-sizing: border-box; box-sizing: border-box;" id="lastName" type="search" ng-model="lastName" placeholder="Last name">
                            </div>
                        </div>

                    </div>

                    <div ng-show="MC.account.isPartner">
                        <div class="input-control choosen" data-role="input-control" style="width: 500px">
                            <select chosen
                                    ng-model="Model._SelectedSchools"
                                    data-placeholder="Select members"
                                    ng-options="obj.Value as obj.Text for obj in AllMembers"></select>
                        </div>
                        <div class="place-right" style="width: 260px">
                            <button class="button primary place-left" type="submit" style="height: 34px;">Search</button>
                            <button class="button link place-left" type="button" ng-click="searchTerm = ''; firstName=''; lastName=''; Model._SelectedSchools=[]; search();" style="height: 34px;">Clear</button>
                            <button class="button jbi-loading-1 place-right" style="height: 34px;" ng-click="search()"></button>
                        </div>
                    </div>
                </form>

                <kendo-grid id="grid" options="recentRegistration">

                </kendo-grid>

            </div>
        </li>
    </ul>
    <ul ng-if="MC.isAllowedAction('TotalSale_View')">
        <li data-row="3" data-col="1" data-sizex="4" data-sizey="1" class="tile bg-icon" data-click="transform-scale" style="outline-color: #e67e22;">
            <div class="tile-content" style="background-image: url(/Images/Dashboard/Overviews/counter-sale.png);color: #e67e22;padding-top: 43px;">
                <span id="totalSale"></span>
            </div>
            <div class="brand">
                <div class="label text-center">Total sale</div>
            </div>
        </li>
        <li ng-if="MC.isAllowedAction('TotalRegistration_View')" data-row="3" data-col="5" data-sizex="2" data-sizey="1" class="tile bg-icon" data-click="transform-scale" style="outline-color: #9b59b6;">
            <div class="tile-content" style="background-image: url(/Images/Dashboard/Overviews/counter-atendees.png);padding-top: 43px;color: #9b59b6;">
                <span id="totalAttendees"></span>
            </div>
            <script type="text/javascript">

            </script>
            <div class="brand">
                <div class="label text-center">Total number of registrations</div>
            </div>
        </li>
    </ul>
<ul>
    @if (isProvider)
    {
        <li data-row="3" data-col="1" data-sizex="4" data-sizey="3" class="tile bg-icon" style="outline-color: #0e6e8d;">
            <div class="messages-grid-title">Draft invitation messages waiting for your response</div>
            <kendo-grid id="messagesGrid" options="recentMessages">
            </kendo-grid>
        </li>
    }

    @if (hasPartner && currentRole != RoleCategory.Instructor)
    {
        <li data-row="3" data-col="1" data-sizex="2" data-sizey="3" class="tile bg-icon" ng-show="MC.account.ShowSchoolsInHome" style="outline-color: #0e6e8d;">
            <div class="messages-grid-title">Schools</div>
            <kendo-grid id="schoolsGrid" options="schools">
            </kendo-grid>
        </li>
    }

    <li ng-if="MC.isAllowedAction('ProgramCalendar_View')" ng-hide="MC.account.isPartner" data-row="3" data-col="1" data-sizex="4" data-sizey="2" class="tile bg-icon" data-click="transform-scale" style="outline-color: #e67e22;" ui-sref="ClubProgramScheduler">
        <div class="brand">
            <div class="label text-center">Program calendar</div>
            <img src="/Areas/Dashboard/Content/Image/calendar.png"/>
        </div>
    </li>
</ul>

    <ul ng-if="MC.isAllowedAction('Tour_View')" ng-hide="MC.account.hasPartner">
        <li data-row="4" data-col="1" data-sizex="6" data-sizey="1" class="tile tour bg-icon" data-click="transform-scale" style="outline-color: #0e6e8d;" ui-sref="Tours()">
            <h6>Welcome to Jumbula</h6>
            <h5>Let's have a tour</h5>
        </li>
    </ul>


    <ul style="padding-bottom: 60px">
        <li></li>
    </ul>
</div>

<div ng-show="ShowSchedulingDemo" style="background-color: rgba(0, 0, 0, 0.92) !important;" ng-class="{'active':ShowSchedulingDemo}" class="jb-confirm">
    <div class="popupSchedulingDemo">
        <div>
            <h2  style="width:338px;font-weight: bold !important;">See Jumbula in action with an online Personal Session </h2>
      
            <br />
            <span ng-click="dismissSchedulingDemoPopup()" class="jbi-cancel k-link" style="padding: 10px; position: absolute; right: 0; top: 0; color: #8a8989;">
            </span>
            <div style="width:297px;font-size: 18px;color: #3e3d3d;">Give us 30 minutes and we will help you discover some amazing features and tools about our platform.</div>
            <div class="clearfix"></div>
            <br />
            <br />
            <div style="margin: 5px;float: right;">
                <a class="button green-bgcolor" style="width: 219px;font-size: 17px;color:#fff;line-height: 27px;margin-right: 282px;" target="_blank" href="https://calendly.com/jumbula/jumbula-demo-30-minutes">Schedule your Demo</a>
            </div>
        </div>

    </div>
</div>

<script>
    // Initialize gridster
    var dashboardOverviewGrid = $("#dashboardOverviewGrid ul").gridster({
        widget_margins: [10, 10],
        widget_base_dimensions: [120, 120],
        autogrow_cols: true,
        resize: {
            enabled: false
        }
        //,
        //draggable: {
        //    start: function(event, ui) {

        //    },
        //    stop: function(event, ui) {
        //        // Store grid order
        //        localStorage.dashboardOverviewGridOrder = JSON.stringify(window.app.globalObjects.dashboardOverviewGrid.serialize());
        //    }
        //}
    }).data('gridster');
    dashboardOverviewGrid.disable();

    // Scale down tiles by mouse down
    $('[data-click="transform-scale"]').mousedown(function () {
        $(this).addClass("transformed-scale");
    }).mouseup(function () {
        $(this).removeClass("transformed-scale");
    }).mouseout(function () {
        $(this).removeClass("transformed-scale");
    });
</script>